import java.util.Date;
public class Parkhaus {
    private double maxNachtPreis;
    private double preis;
    private double maxTagesPreis;
    private int maxParkPlatz;
    private Auto[] parkendeAutos;
    private int anzahlParkendeAutos;

    public double getMaxNachtPreis() {
        return maxNachtPreis;
    }

    public double getMaxTagesPreis() {
        return maxTagesPreis;
    }

    public int getMaxParkPlatz() {
        return maxParkPlatz;
    }

    public Parkhaus(double preis){
       this.preis = 1.0;
       this.maxNachtPreis = 5;
       this.maxTagesPreis = 15;
       this.maxParkPlatz = 100;
       this.parkendeAutos = new Auto[maxParkPlatz];
       this.anzahlParkendeAutos = 0;
    }

    public double getPreis() {return preis;}

    public void setPreis(double preis) {
        this.preis = preis;
    }

    public double berechneParkKosten (Auto auto){
        int einFahrtStunde = auto.getEinfahrtZeit().getHours();
        int ausFahrtStunde = auto.getAusfahrtZeit().getHours();

        double kosten;

        long parkDauerMinuten = (auto.getBezahlZeit().getTime()-auto.getEinfahrtZeit().getTime());

        if (einFahrtStunde >= 20 && ausFahrtStunde <= 06){
            kosten = maxNachtPreis;
        }

        if (parkDauerMinuten <= 15){
            return 0;
        }
        parkDauerMinuten -= 15;
        long parkDauerStunden = (parkDauerMinuten/60)+1;
        kosten = parkDauerStunden*preis;

        if (parkDauerStunden > 24){
            kosten = maxTagesPreis*parkDauerStunden/24;
        }

        if (auto.getEAuto() == true){
            kosten*=0.8;
        }

        return kosten;
    }



}
